質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.76%

  • Python 2.7

    1208questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

  • pip

    159questions

    pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

python2.7にpip install python-pkcs11 失敗

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 341

Tuang

score 57

python のバージョンは2.7です。環境はwindow 8.1です。
pkcs11 を pipからinstallしようとしたらエラーになりまして、なぜかわかりません。
ご存知の方よろしくお願いします。

エラー内容

C:\Python27\Scripts>pip install python-pkcs11
Collecting python-pkcs11
Using cached python-pkcs11-0.4.0.tar.gz
Complete output from command python setup.py egg_info:
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Plex\Sca
nners.py because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Plex\Act
ions.py because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Compiler
\Pythran.py because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Compiler
\Lexicon.py because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Compiler
\Scanning.py because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Compiler
\Parsing.py because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Compiler
\Visitor.py because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Compiler
\FlowControl.py because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Compiler
\Code.py because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Runtime\
refnanny.pyx because it changed.
Compiling c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cython\Tempita\
_tempita.py because it changed.
[ 1/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Compiler\Code.py
[ 2/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Compiler\FlowControl.py
[ 3/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Compiler\Lexicon.py
[ 4/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Compiler\Parsing.py
[ 5/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Compiler\Pythran.py
[ 6/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Compiler\Scanning.py
[ 7/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Compiler\Visitor.py
[ 8/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Plex\Actions.py
[ 9/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Plex\Scanners.py
[10/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Runtime\refnanny.pyx
[11/11] Cythonizing c:\users\tuangp~1\appdata\local\temp\easy_install-ebiqis\Cython-0.27.1\Cytho
n\Tempita\_tempita.py
Unable to find pgen, not compiling formal grammar.
warning: no files found matching '2to3-fixers.txt'
warning: no files found matching 'Doc\*'
warning: no files found matching '*.pyx' under directory 'Cython\Debugger\Tests'
warning: no files found matching '*.pxd' under directory 'Cython\Debugger\Tests'
warning: no files found matching '*.pxd' under directory 'Cython\Utility'
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "c:\users\tuangp~1\appdata\local\temp\pip-build-b67fry\python-pkcs11\setup.py", line 65,
in <module>
test_suite='tests',
File "c:\python27\lib\distutils\core.py", line 111, in setup
_setup_distribution = dist = klass(attrs)
File "c:\python27\lib\site-packages\setuptools\dist.py", line 335, in init
self.fetch_build_eggs(attrs['setup_requires'])
File "c:\python27\lib\site-packages\setuptools\dist.py", line 456, in fetch_build_eggs
replace_conflicting=True,
File "c:\python27\lib\site-packages\pkg_resources\init.py", line 863, in resolve
replace_conflicting=replace_conflicting
File "c:\python27\lib\site-packages\pkg_resources\init.py", line 1141, in best_match
return self.obtain(req, installer)
File "c:\python27\lib\site-packages\pkg_resources\init.py", line 1153, in obtain
return installer(requirement)
File "c:\python27\lib\site-packages\setuptools\dist.py", line 522, in fetch_build_egg
return cmd.easy_install(req)
File "c:\python27\lib\site-packages\setuptools\command\easy_install.py", line 672, in easy_ins
tall
return self.install_item(spec, dist.location, tmpdir, deps)
File "c:\python27\lib\site-packages\setuptools\command\easy_install.py", line 698, in install_
item
dists = self.install_eggs(spec, download, tmpdir)
File "c:\python27\lib\site-packages\setuptools\command\easy_install.py", line 879, in install_
eggs
return self.build_and_install(setup_script, setup_base)
File "c:\python27\lib\site-packages\setuptools\command\easy_install.py", line 1118, in build_a
nd_install
self.run_setup(setup_script, setup_base, args)
File "c:\python27\lib\site-packages\setuptools\command\easy_install.py", line 1106, in run_set
up
raise DistutilsError("Setup script exited with %s" % (v.args[0],))
distutils.errors.DistutilsError: Setup script exited with error: Microsoft Visual C++ 9.0 is req
uired. Get it from http://aka.ms/vcpython27


Command "python setup.py egg_info" failed with error code 1 in c:\users\tuangp~1\appdata\local\temp\
pip-build-b67fry\python-pkcs11\

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

+1

エラーメッセージの最後の一文になぜか書いてあります。

Microsoft Visual C++ 9.0 is req
uired. Get it from http://aka.ms/vcpython27

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/10/23 08:53

    回答ありがとうございます。そうですね、Microsoft Visual C++ 9.0 が必要と書いてありますよね、
    やっぱり、このモジュールはPython 2.7にインストールできないことをわかりました。

    キャンセル

check解決した方法

0

Python 2.7にはインストールできないことでした。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.76%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Python 2.7

    1208questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

  • pip

    159questions

    pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。